Subject: RE: LSR Self test in Charter

From: "David Allan" <[email-masked]>
Date: Fri, 3 Oct 2003 15:37:08 -0400

Hi Tom:

You wrote...

> wouldn't 
> you agree that this functionallity is indeed a useful
> means by which to address some of the OAM requirements?

That is what I'm trying to establish.

IMHO LSR self test is expensive which means it really needs to justify its
existence. The LSR testing itself needs to generate a message, insert it
into a single hop trunk upstream where it is PHP'd from the test trunk into
the label/interface of interest, it is forwarded across the originating LSR
and stops in the LSR immediately downstream where it is handed to the
control plane, processed, and a reply sent back to the originating LSR. So
testing an ILM entry on each LSR generates two control plane interrupts as
well as associated message handling. If a 10 hop LSP is actively being
checked by all the LSRs in the path, it will take about 8 ping request/TTL
timeout/replies to verify the LSP and that assumes the ingress is not
pinging as well. Yes it is reuse of what you already have and IMO that is
the only real virtue.

I've been looking to do similar in a much more lightweight style with
Y.17fec-cv. Inserted into each ingress point (and verified at the egress
instead of immediately downstream) it would generate half of the transaction
load for comparable coverage (and that assumes the message processing cost
is the same which is hardly the case, fec-cv being quite a bit simpler, and
should not have to interrupt the control plane in any good implementation).
ECMP points being treated as LSP ingresses in my model so that we also dodge
the combinatorial aspect of ECMP touted as the rationale for this approach.
The probe rate for comparable coverage scales linearly in both cases.

So I guess that being said, if we have a charter that now includes
"mechanisms", I'll point folks to my old draft

http://www.ietf.org/internet-drafts/draft-allan-fec-cv-overview-00.txt

as an alternative approach to be considered in this space. The current draft
Y.17fec-cv is very close.

cheers
Dave

> -----Original Message-----
> From: Thomas D. Nadeau [mailto:[email-masked]] 
> Sent: Friday, October 03, 2003 2:54 PM
> To: Allan, David [CAR:NS00:EXCH]; 'George Swallow'
> Cc: 'Loa Andersson'; 'mpls wg'; 'Alex Zinin'
> Subject: RE: LSR Self test in Charter 
> 
> 
> 
> 	Dave,
> 
> 	It seems that you have technical issues that 
> need to be sorted out, but aside from that, wouldn't 
> you agree that this functionallity is indeed a useful
> means by which to address some of the OAM requirements?
> 
> 	--Tom
> 
> 
> 
> >-----Original Message-----
> >From: [email-masked] [mailto:[email-masked]] On Behalf
> >Of David Allan
> >Sent: Thursday, October 02, 2003 4:30 PM
> >To: 'George Swallow'
> >Cc: 'Loa Andersson'; mpls wg; Alex Zinin
> >Subject: RE: LSR Self test in Charter 
> >
> >
> >OK, consider me late to the party. If there is resolution to
> >the technical
> >question I raised, I'll abstain, otherwise consider me a naysayer.
> >
> >Dave
> >
> >> -----Original Message-----
> >> From: George Swallow [mailto:[email-masked]]
> >> Sent: Thursday, October 02, 2003 4:18 PM
> >> To: Allan, David [CAR:NS00:EXCH]
> >> Cc: 'Loa Andersson'; mpls wg; George Swallow; Alex Zinin; 
> >> [email-masked]
> >> Subject: Re: LSR Self test in Charter 
> >> 
> >> 
> >> Dave -
> >> 
> >> There was strong interest expressed in the room in Vienna.
> >> Due to that, Loa only asked for nay sayers to speak up.  No 
> >> one objected.  
> >> 
> >> I've attached the original message.
> >> 
> >> ...George
> >> 
> >> ==============================================================
> >> ==========
> >> George Swallow             Cisco Systems                  
> >> (978) 936-1398
> >>                            1414 Massachusetts Avenue
> >>                            Boxborough, MA 01719
> >> 
> >> Date: Thu, 17 Jul 2003 11:14:46 +0200
> >> From: Loa Andersson <[email-masked]>
> >> User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0)
> >> Gecko/20020605
> >> X-Accept-Language: en-us, en
> >> MIME-Version: 1.0
> >> To: MPLS WG <[email-masked]>, George Swallow <[email-masked]>,
> >>         Alex Zinin
> >>  <[email-masked]>
> >> Subject: draft-swallow-mpls-lsr-self-test-01.txt, to wg draft
> >> Content-Type: text/plain; charset=us-ascii; format=flowed
> >> Content-Transfer-Encoding: 7bit
> >> 
> >> Working Group,
> >> 
> >> 
> >> at the Vienna MPLS WG meeting the
> >> 
> >>      Label Switched Router Self-Test
> >>      <draft-swallow-mpls-lsr-self-test-01.txt>
> >> 
> >> was discussed. There were support for making it a wg 
> draft. We will 
> >> go ahead and do so shortly, this is a chance you who were 
> not in the 
> >> meeting (or did not speak up) to comment on this.
> >> 
> >> 
> >> --
> >> /Loa
> >> 
> >> mobile + 46 739 81 21 64
> >> email: [email-masked]
> >> 
> >> 
> >
> 
>